Bug 100758 - FILEOPEN DOCX Shape in footer results in 2nd and more footnotes being pushed to next page
Summary: FILEOPEN DOCX Shape in footer results in 2nd and more footnotes being pushed ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:docx
Depends on:
Blocks: DOCX-Footnote-Endnote DOCX-Anchor-and-Text-Wrap
  Show dependency treegraph
 
Reported: 2016-07-04 13:09 UTC by Cor Nouws
Modified: 2021-09-28 13:37 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
pdf with screen prints showing the issue (197.32 KB, application/pdf)
2016-07-04 13:12 UTC, Cor Nouws
Details
Minimized example file (42.39 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-09-28 13:34 UTC, NISZ LibreOffice Team
Details
The minimized example file in Word and Writer side by side (190.70 KB, image/png)
2021-09-28 13:35 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2016-07-04 13:09:36 UTC
The fix of bug 90697 (dupl bug 100513) makes another problem visible: footnotes after the first footnote are pushed to the bottom of the second page. The reference still is on the correct position in the text.

This obviously is related to the following problems:

 - Bug 98287 - Mixing footnotes between sections leads to unwanted page break after the first footnote and pushes the second footnote to the next page (edit) 

 - Bug 54465 - FORMATTING: Inserting footnote in section (with columns), make that sections size grow to the full page

This is the test file (  http://bugs.documentfoundation.org/attachment.cgi?id=125792 ) from issue 100513.

I'll add a PDF showing part of that file in a daily from June 28, July 4 and a PDF from Word.
Comment 1 Cor Nouws 2016-07-04 13:12:16 UTC
Created attachment 126063 [details]
pdf with screen prints showing the issue
Comment 2 Joel Madero 2016-07-06 06:22:49 UTC
Version: 5.3.0.0.alpha0+
Build ID: 28a03248b1d1649e157b788e43dfe8326f165379
CPU Threads: 2; OS Version: Linux 3.16; UI Render: default; 
Locale: en-US (en_US.UTF-8)

Confirmed.
Comment 3 QA Administrators 2017-12-10 16:39:25 UTC Comment hidden (obsolete)
Comment 4 Cor Nouws 2017-12-29 11:22:07 UTC
still the same problem in Version: 6.1.0.0.alpha0+
Build ID: a9b202a6b7000e7af34f2a639ca207122a3968bf
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-12-26_23:09:36
Locale: nl-NL (nl_NL.UTF-8); Calc: group threaded
Comment 5 QA Administrators 2018-12-30 03:47:23 UTC Comment hidden (obsolete)
Comment 6 Cor Nouws 2019-01-01 18:07:54 UTC
problem persists in Version: 6.3.0.0.alpha0+
Build ID: 082144fa0fb2021cfb41494bb6eb5bf417e58ab1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-12-31_03:11:43
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 NISZ LibreOffice Team 2021-09-28 13:34:30 UTC
Created attachment 175319 [details]
Minimized example file

This Word 2019 minimized file contains no section break, but the footnotes are laid out differently in Writer regardless.

There is a textbox in the footer and upon opening this file in Writer there is only one footnote laid out on the first page.

However selecting the textbox in Writer, pressing Del, then choosing Tools - Update - Page Formatting moves the footnotes 2-3 to the bottom of the first page, just like in Word.
Comment 8 NISZ LibreOffice Team 2021-09-28 13:35:05 UTC
Created attachment 175320 [details]
The minimized example file in Word and Writer side by side